Get the most out of your Centmin Mod LEMP stack
Become a Member

AlmaLinux AlmaLinux 8.7 Released

Discussion in 'CentOS, Redhat & Oracle Linux News' started by eva2000, Nov 11, 2022.

  1. eva2000

    eva2000 Administrator Staff Member

    51,957
    11,974
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,471
    Local Time:
    7:27 PM
    Nginx 1.25.x
    MariaDB 10.x
    Looks like AlmaLinux 8.7 has been released. Centmin Mod users who are privately beta testing Centmin Mod 130.00beta01 with AlmaLinux 8 (EL8), should be able to do a yum update run :)

    Code (Text):
    cat /etc/redhat-release 
    AlmaLinux release 8.7 (Stone Smilodon)
    

    Code (Text):
    cat /etc/os-release 
    NAME="AlmaLinux"
    VERSION="8.7 (Stone Smilodon)"
    ID="almalinux"
    ID_LIKE="rhel centos fedora"
    VERSION_ID="8.7"
    PLATFORM_ID="platform:el8"
    PRETTY_NAME="AlmaLinux 8.7 (Stone Smilodon)"
    ANSI_COLOR="0;34"
    LOGO="fedora-logo-icon"
    CPE_NAME="cpe:/o:almalinux:almalinux:8::baseos"
    HOME_URL="https://almalinux.org/"
    DOCUMENTATION_URL="https://wiki.almalinux.org/"
    BUG_REPORT_URL="https://bugs.almalinux.org/"
    
    ALMALINUX_MANTISBT_PROJECT="AlmaLinux-8"
    ALMALINUX_MANTISBT_PROJECT_VERSION="8.7"
    REDHAT_SUPPORT_PRODUCT="AlmaLinux"
    REDHAT_SUPPORT_PRODUCT_VERSION="8.7"
    

    Centmin Mod Nginx built on AlmaLinux 8.x 64bit server
    AFAIK, when you see warnings on yum update for files at rning: file /usr/lib/.build-id/* being missing or not found, you can ignore them. They seem to be from the way EL8 YUM packages are sometimes built
    Code (Text):
    warning: file /usr/lib/.build-id/a6/83b923fd7d7c13f58a2caca4f9a9361840c083: remove failed: No such file or directory


     
  2. pdinh97qng

    pdinh97qng Member

    121
    15
    18
    Jan 24, 2016
    Ratings:
    +39
    Local Time:
    2:27 AM
    Can't wait to see CMM on AlmaLinux/RockyLinux in action. Centos 7 EOL is only a year and a half away.
     
  3. hson4787

    hson4787 New Member

    13
    1
    3
    Sep 18, 2020
    Ratings:
    +3
    Local Time:
    4:27 PM
    1.19.2
    10.4.14
    same here
     
  4. yunos

    yunos Member

    129
    3
    18
    Aug 8, 2015
    Ratings:
    +16
    Local Time:
    11:27 AM
    1.8.0
    @eva2000 Will we see centminmod fully support of alma or rocky linux before centos 7 EOL? otherwise its likely i will have to go over to Directadmin.
     
  5. eva2000

    eva2000 Administrator Staff Member

    51,957
    11,974
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,471
    Local Time:
    7:27 PM
    Nginx 1.25.x
    MariaDB 10.x
    Yup you will. It's always been the plan to get EL8 ready before CentOS 7's EOL in 2024 ~24 months time. There's already Centmin Mod users beta testing AlmaLinux/Rocky Linux EL8 for a few months now. As of writing, Centmin Mod 124.00stable and 130.00beta01 are currently stable and beta versions of Centmin Mod. Both versions support CentOS 7 64bit (EL7) officially right now. CentOS 7 is the only version you can use right now with Centmin Mod.

    CentOS 8 (EL8) was end of life retired early, so forked operating systems for Alma Linux 8 and Rocky Linux 8 are alternatives. With EL9 versions for Alma Linux 9 and Rocky Linux 9 only recently released.

    Centmin Mod EL8 and EL9 development are currently being done in Centmin Mod 130.00beta01 and higher versions behind private switches and installers only. See the forum almalinux tag to see all relevant threads. The public 130.00beta01 installers only work with CentOS 7 right now. You can see progress in 2 sticky threads and examples from private beta testing at:

    Centmin Mod 130.00beta01 EL8 Enabled Private Beta Testing



    As of December 27, 2022, Centmin Mod 130.00beta01 EL8 only private beta testing is underway with a select number of Centmin Mod users in private forum at https://community.centminmod.com/forums/almalinux-8-rocky-linux-8-beta-testing.64/. So bug reporting and feedback for Alma Linux 8 or Rocky Linux 8 only (no EL9 testing yet).

    Background Information:
    1. Centmin Mod EL8 installs will default to GCC 11.2 for compilation routines instead of the current Centmin Mod 130.00beta01 default for GCC 10.2 and EL8 system default GCC 8.5
    2. Centmin Mod EL8 installs will default to PHP 8.0.x installation (PHP-FPM). EL9 OS will default to a minimum PHP 8.1.x version and PHP versions below PHP 8.1 won't work right now with EL9 OSes. If you need PHP 7.4 to 8.0 then stick with EL8 OSes like Alma Linux 8 or Rocky Linux 8.
    3. Centmin Mod EL8 installs as of September 27, 2022 onwards (in private beta testing), will switch from the official MariaDB YUM repo provided MariaDB 10.3 which has support ending May 2023 to native EL8 Appstream module provided MariaDB 10.3 version which has extended support until May 2029